//importing required modules
import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//iris dataset
const csvUrl = 'https://gist.githubusercontent.com/LokeshBachu5/0ccaf6931207c4fed455f4c87891541a/raw/c3089e46cb562ce94747388dfd646dbeb0f61d0d/Iris_data_loki_Ice_7.csv'
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight - 100;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//main function
const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_width)
    .yValue((d) => d.sepal_length)
    .margin({
      top: 30,
      right: 30,
      bottom: 50,
      left: 60,
    })
    .radius(10);

  svg.call(plot);
//setting dynamic axes
  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 10000);
};
main();



